Перейти к содержимому

Ошибки

Общее

При ошибке обработки запросов API возвращает такую структуру:

1
2
3
4
5
6
{
  "error_code": 1,
  "error_name": "REQUEST_VALIDATION_ERROR",
  "message": "request data validation error",
  "detail": {}
}

Описание некоторых ошибок

  1. Ошибка с кодом 1 означает, что формат запроса не соответствует тому, что метод ожидает. Формат описан в схеме запросов в swagger’e.
  2. Код 429 означает, что превышено ограничение на количество запросов в секунду. Замедлитесь. При превышении лимитов несколько раз подряд, вы будете временно заблокированы.
  3. Если получили код 5xx, сообщите в поддержку.

Список ошибок

  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
{
  "1": {
    "name": "REQUEST_VALIDATION_ERROR",
    "message": "request data validation error"
  },
  "10": {
    "name": "NOT_PAID",
    "message": "not paid"
  },
  "11": {
    "name": "NOT_IN_SUBSCRIPTION",
    "message": "not in subscription"
  },
  "400": {
    "name": "BAD_REQUEST",
    "message": "bad request"
  },
  "404": {
    "name": "NOT_FOUND",
    "message": "not found"
  },
  "413": {
    "name": "REQUEST_TOO_LARGE",
    "message": "request body is too large"
  },
  "429": {
    "name": "TOO_MANY_REQUESTS",
    "message": "too many requests"
  },
  "500": {
    "name": "INTERNAL_SERVER_ERROR",
    "message": "internal server error"
  },
  "1000": {
    "name": "CONTACT_NOT_FOUND",
    "message": "contact not found"
  },
  "1001": {
    "name": "CONTACT_PHONE_EMAIL_CONFLICT",
    "message": "a contact with the same phone or email already exists"
  },
  "1002": {
    "name": "CONTACT_TAG_NOT_EXISTS",
    "message": "contact tag not exists"
  },
  "2000": {
    "name": "NOTE_NOT_FOUND",
    "message": "note not found"
  },
  "3000": {
    "name": "TAG_NOT_FOUND",
    "message": "tag not found"
  },
  "3001": {
    "name": "TAG_ALREADY_EXISTS",
    "message": "a tag with the same name already exists"
  },
  "4000": {
    "name": "CHAT_NOT_FOUND",
    "message": "chat not found"
  },
  "5000": {
    "name": "MEMBER_NOT_FOUND",
    "message": "member not found"
  },
  "6000": {
    "name": "ITEM_NOT_FOUND",
    "message": "item not found"
  },
  "6001": {
    "name": "ITEM_DUPLICATE_ERROR",
    "message": "item already exists"
  },
  "7000": {
    "name": "TEMPLATE_NOT_FOUND",
    "message": "template not found"
  },
  "7001": {
    "name": "TEMPLATE_WABA_ERROR",
    "message": "generic waba error"
  },
  "7002": {
    "name": "TEMPLATE_WABA_ACCESS_ERROR",
    "message": "waba access error"
  },
  "7003": {
    "name": "TEMPLATE_WABA_PHONE_INVALID_ERROR",
    "message": "waba phone invalid"
  },
  "7004": {
    "name": "TEMPLATE_WABA_NOT_FOUND",
    "message": "waba template not found"
  },
  "8000": {
    "name": "COMPANY_NOT_FOUND",
    "message": "company not found"
  },
  "8001": {
    "name": "COMPANY_LIMIT_INCORRECT_TYPE",
    "message": "incorrect company limit type"
  },
  "10000": {
    "name": "CONNECTION_NOT_FOUND",
    "message": "connection not found"
  },
  "10001": {
    "name": "CONNECTION_ALREADY_EXISTS",
    "message": "connection with the same params already exists"
  },
  "10002": {
    "name": "CONNECTION_TYPE_MISMATCH",
    "message": "connection type and data type mismatch"
  },
  "10004": {
    "name": "CONNECTION_INCORRECT_CLIENT_DATA",
    "message": "incorrect client data"
  },
  "10005": {
    "name": "CONNECTION_AMOCRM_UNKNOWN_ERROR",
    "message": "amocrm unknown error"
  },
  "10006": {
    "name": "CONNECTION_AMOCRM_ACCESS_DENIED",
    "message": "amocrm access error"
  },
  "10007": {
    "name": "CONNECTION_BLACKLIST_CHAT_IS_ALREADY_BLACKLISTED",
    "message": "chat is already blacklisted"
  },
  "10008": {
    "name": "CONNECTION_BLACKLIST_CHAT_IS_NOT_BLACKLISTED",
    "message": "blacklist not contains this chat"
  },
  "10009": {
    "name": "CONNECTION_BLACKLIST_LIMIT_EXCEEDED",
    "message": "blacklist contains too many chats"
  },
  "10010": {
    "name": "CONNECTION_LIMIT_EXCEEDED",
    "message": "connection limit exceeded"
  },
  "10011": {
    "name": "CONNECTION_AMOCRM_INVOICE_CATALOG_NOT_FOUND",
    "message": "amocrm invoice catalog not found"
  },
  "10012": {
    "name": "CONNECTION_BOUND_TO_ANOTHER_COMPANY",
    "message": "connection bound to another company"
  },
  "10013": {
    "name": "CONNECTION_AMOCRM_NOT_PAID",
    "message": "amocrm not paid"
  },
  "10014": {
    "name": "CONNECTION_AMOCRM_PIPELINE_NOT_EXISTS",
    "message": "amocrm pipeline not exists"
  },
  "10015": {
    "name": "CONNECTION_BLACKLIST_CHAT_EXPECTED_CHAT_ID",
    "message": "expected chat id"
  },
  "11000": {
    "name": "UNAUTHORIZED",
    "message": "unauthorized"
  },
  "12000": {
    "name": "ENTITY_NOT_FOUND",
    "message": "legal entity was not found"
  },
  "12001": {
    "name": "ENTITY_INCORRECT_CLIENT_DATA",
    "message": "incorrect client data"
  },
  "12002": {
    "name": "ENTITY_SIGNER_NOT_FOUND",
    "message": "signer not found"
  },
  "13000": {
    "name": "INTEGRATION_NOT_FOUND",
    "message": "integration not found"
  },
  "13001": {
    "name": "INTEGRATION_INCORRECT_TYPE",
    "message": "incorrect integration type"
  },
  "13002": {
    "name": "INTEGRATION_UNSUPPORTED",
    "message": "unsupported integration type"
  },
  "13003": {
    "name": "INTEGRATION_DELETED",
    "message": "integration deleted"
  },
  "13004": {
    "name": "INTEGRATION_INVALID_STATE",
    "message": "invalid integration state"
  },
  "13005": {
    "name": "INTEGRATION_ALREADY_LINKED",
    "message": "integration is already linked to another company"
  },
  "13006": {
    "name": "INTEGRATION_LIMIT_EXCEEDED",
    "message": "integration limit exceeded"
  },
  "14000": {
    "name": "PROMOCODE_NOT_FOUND",
    "message": "promocode not found"
  },
  "14001": {
    "name": "PROMOCODE_ALREADY_EXISTS",
    "message": "promocode with this value already exists"
  },
  "14002": {
    "name": "PROMOCODE_LIMIT_EXCEEDED",
    "message": "promocodes count limit exceeded"
  },
  "15000": {
    "name": "MESSAGING_MODE_NOT_SUPPORTED",
    "message": "mode not supported"
  },
  "15001": {
    "name": "MESSAGING_UNABLE_TO_VALIDATE_PHONE",
    "message": "unable to validate phone number"
  },
  "15002": {
    "name": "MESSAGING_MESSAGE_NOT_FOUND",
    "message": "message not found"
  },
  "15003": {
    "name": "MESSAGING_PHONE_NO_WHATSAPP",
    "message": "phone is not registered in WhatsApp"
  },
  "15004": {
    "name": "MESSAGING_CONNECTION_TYPE_UNSUPPORTED",
    "message": "unsupported connection type"
  },
  "15005": {
    "name": "MESSAGING_INCORRECT_WABA_API_KEY",
    "message": "incorrect WABA api key"
  },
  "15006": {
    "name": "MESSAGING_CHATAPI_INSTANCE_NOT_AUTHORIZED",
    "message": "instance not authorized"
  },
  "15007": {
    "name": "MESSAGING_CHATAPI_INSTANCE_NOT_PAID",
    "message": "instance not paid"
  },
  "15008": {
    "name": "MESSAGING_CHATAPI_INSTANCE_NOT_AVAILABLE",
    "message": "instance not available"
  },
  "15009": {
    "name": "MESSAGING_TELEGRAM_CREATE_CHAT_ERROR",
    "message": "unable to create telegram chat"
  },
  "15010": {
    "name": "MESSAGING_WABA_TEMPLATE_NOT_FOUND",
    "message": "specified template is not found in specified locale"
  },
  "15011": {
    "name": "MESSAGING_FILE_URL_NOT_SUPPORTED",
    "message": "file url is invalid or not supported"
  },
  "15012": {
    "name": "MESSAGING_MARKUP_NOT_SUPPORTED",
    "message": "markup not supported for this connection type"
  },
  "15013": {
    "name": "MESSAGING_MAX_PERSONAL_CREATE_CHAT_ERROR",
    "message": "unable to create max personal chat"
  },
  "15014": {
    "name": "MESSAGING_CONTACT_RESPONSIBLE_USER_MISMATCH",
    "message": "contact belongs to a different user"
  },
  "16000": {
    "name": "FILE_MIME_TYPE_NOT_SUPPORTED",
    "message": "file mime type is not supported"
  },
  "17000": {
    "name": "TELEGRAM_GENERIC_ERROR",
    "message": "telegram error"
  },
  "17001": {
    "name": "TELEGRAM_VERIFICATION_CODE_EXPIRED",
    "message": "telegram verification code expired"
  },
  "17002": {
    "name": "TELEGRAM_FLOOD_ERROR",
    "message": "telegram flood control triggered"
  },
  "17003": {
    "name": "TELEGRAM_2FA_PASSWORD_NEEDED",
    "message": "telegram two-steps verification is enabled and a password is required"
  },
  "17004": {
    "name": "TELEGRAM_ALREADY_AUTHORIZED",
    "message": "telegram already authorized"
  },
  "17005": {
    "name": "TELEGRAM_CODE_EXPIRED",
    "message": "telegram code expired"
  },
  "17006": {
    "name": "TELEGRAM_2FA_PASSWORD_INCORRECT",
    "message": "telegram 2fa password incorrect"
  },
  "17007": {
    "name": "TELEGRAM_NOT_OCCUPIED_ERROR",
    "message": "telegram phone/username not occupied (or phone is hidden)"
  },
  "17008": {
    "name": "TELEGRAM_AUTH_ERROR",
    "message": "telegram authorization error (may need to re-login)"
  },
  "17009": {
    "name": "TELEGRAM_CODE_INVALID",
    "message": "the code provided is invalid"
  },
  "17010": {
    "name": "TELEGRAM_PHONE_INVALID",
    "message": "the phone number provided is invalid"
  },
  "17011": {
    "name": "TELEGRAM_PHONE_BANNED",
    "message": "the phone number provided is banned"
  },
  "18000": {
    "name": "INVOICE_GENERIC_ERROR",
    "message": "an error occurred while processing request"
  },
  "18001": {
    "name": "INVOICE_NOT_FOUND",
    "message": "invoice not found"
  },
  "18002": {
    "name": "INVOICE_UNSUPPORTED_VAT_VALUE",
    "message": "unsupported VAT value"
  },
  "18003": {
    "name": "INVOICE_PROVIDER_ERROR",
    "message": "provider error"
  },
  "19000": {
    "name": "BITRIX_UNKNOWN_ERROR",
    "message": "bitrix error"
  },
  "19001": {
    "name": "BITRIX_ACCESS_DENIED",
    "message": "bitrix access denied error"
  },
  "20000": {
    "name": "WEBHOOK_NOT_FOUND",
    "message": "webhook not found"
  },
  "20001": {
    "name": "WEBHOOK_VALIDATION_ERROR",
    "message": "webhook validation error"
  },
  "21000": {
    "name": "ROLE_ALREADY_EXISTS",
    "message": "a role with the same name already exists"
  },
  "21001": {
    "name": "ROLE_NOT_FOUND",
    "message": "role not found"
  },
  "21002": {
    "name": "ROLE_DEFAULT_ROLE_CANNOT_BE_UPDATED",
    "message": "default role cannot be updated"
  },
  "21003": {
    "name": "ROLE_PERMISSION_NOT_FOUND",
    "message": "permission not found"
  },
  "22001": {
    "name": "SUBSCRIPTION_NOT_FOUND",
    "message": "subscription not found"
  },
  "22002": {
    "name": "SUBSCRIPTION_NOT_ENOUGH_DAYS",
    "message": "not enough days to recalculate"
  },
  "22003": {
    "name": "SUBSCRIPTION_REQUISITE_NOT_FOUND",
    "message": "requisite not found"
  },
  "22004": {
    "name": "SUBSCRIPTION_PROMO_CODE_INVALID",
    "message": "invalid promo_code"
  },
  "22005": {
    "name": "SUBSCRIPTION_PAUSED",
    "message": "subscription paused"
  },
  "22006": {
    "name": "SUBSCRIPTION_PAYMENTS_LOCKED",
    "message": "subscription payments locked"
  },
  "22007": {
    "name": "SUBSCRIPTION_DATE_INVALID",
    "message": "invalid subscription date"
  },
  "22008": {
    "name": "SUBSCRIPTION_DIALOGS_LOCKED",
    "message": "dialogs payments are locked"
  },
  "22009": {
    "name": "SUBSCRIPTION_MAX_SIZE_EXCEEDED",
    "message": "maximum number of connections exceeded"
  },
  "22010": {
    "name": "SUBSCRIPTION_INVOICE_EMPTY",
    "message": "invoice is empty"
  },
  "22011": {
    "name": "SUBSCRIPTION_DOWNGRADE_NOT_ALLOWED",
    "message": "subscription downgrade is not allowed"
  },
  "22012": {
    "name": "SUBSCRIPTION_MAX_SIZE_INVALID",
    "message": "subscription max size can't be less than current size"
  },
  "22013": {
    "name": "SUBSCRIPTION_PLAN_INVALID",
    "message": "invalid subscription type"
  },
  "23000": {
    "name": "SALES_SHOP_NOT_FOUND",
    "message": "shop not found"
  },
  "23001": {
    "name": "SALES_CATALOG_NOT_FOUND",
    "message": "catalog not found"
  },
  "23002": {
    "name": "SALES_PRODUCT_NOT_FOUND",
    "message": "product not found"
  },
  "24000": {
    "name": "BROADCAST_NOT_FOUND",
    "message": "broadcast not found"
  },
  "24001": {
    "name": "BROADCAST_UNSUPPORTED_CONNECTION",
    "message": "unsupported broadcast connection"
  },
  "24002": {
    "name": "BROADCAST_UNABLE_TO_UPDATE",
    "message": "unable to update broadcast"
  },
  "25000": {
    "name": "FACEBOOK_UNABLE_TO_BIND",
    "message": "unable to bind facebook account"
  },
  "25001": {
    "name": "FACEBOOK_TOKEN_EXPIRED",
    "message": "facebook token expired"
  },
  "25002": {
    "name": "FACEBOOK_CATALOG_NOT_FOUND",
    "message": "facebook catalog not found"
  },
  "25003": {
    "name": "FACEBOOK_ACCOUNT_NOT_LINKED",
    "message": "facebook account not linked to waba connection"
  },
  "25004": {
    "name": "FACEBOOK_UNHANDLED_EXCEPTION",
    "message": "facebook unhandled exception"
  },
  "25005": {
    "name": "FACEBOOK_INVALID_APP_ID",
    "message": "facebook invalid app id"
  },
  "25006": {
    "name": "FACEBOOK_INVALID_APP_SECRET",
    "message": "facebook invalid app secret"
  },
  "26000": {
    "name": "USER_FORM_ALREADY_FILLED",
    "message": "user form is already filled"
  },
  "26001": {
    "name": "USER_FORM_NOT_AVAILABLE",
    "message": "user form is not available"
  },
  "27000": {
    "name": "NOTIFICATION_CHANNEL_LIMIT_EXCEEDED",
    "message": "notification channel limit exceeded"
  },
  "27001": {
    "name": "NOTIFICATION_CHANNEL_DUPLICATE_ERROR",
    "message": "notification channel with the same chat ID already exists"
  },
  "28000": {
    "name": "PARTNER_PAYOUT_LOCKED",
    "message": "active payout already exists"
  },
  "28001": {
    "name": "PARTNER_PAYOUT_INSUFFICIENT_BALANCE",
    "message": "insufficient balance"
  },
  "28002": {
    "name": "PARTNER_CREATE_CLIENT_ALREADY_EXISTS",
    "message": "client with the same data already exists"
  },
  "28003": {
    "name": "PARTNER_CREATE_CLIENT_LIMIT_EXCEEDED",
    "message": "creation company limit exceeded"
  },
  "29000": {
    "name": "WABA_SETTINGS_NOT_AVAILABLE",
    "message": "waba settings not available"
  },
  "30000": {
    "name": "MAX_PERSONAL_GENERIC_ERROR",
    "message": "max personal error"
  },
  "30001": {
    "name": "MAX_PERSONAL_UNABLE_TO_SEND_VERIFICATION_CODE",
    "message": "unable to send verification code"
  },
  "30002": {
    "name": "MAX_PERSONAL_INVALID_VERIFICATION_CODE",
    "message": "invalid verification code"
  },
  "30003": {
    "name": "MAX_PERSONAL_CONTACT_NOT_FOUND",
    "message": "unable to find contact"
  },
  "30004": {
    "name": "MAX_PERSONAL_2FA_PASSWORD_INCORRECT",
    "message": "max personal 2fa password incorrect"
  },
  "30005": {
    "name": "MAX_PERSONAL_2FA_PASSWORD_TOO_MANY_ATTEMPS",
    "message": "max personal 2fa password too many attemps"
  },
  "31000": {
    "name": "YANDEX_METRICA_GENERIC_ERROR",
    "message": "yandex metrika error"
  },
  "31001": {
    "name": "YANDEX_METRICA_AUTHORIZATION_ERROR",
    "message": "yandex metrika authorization error"
  },
  "99999": {
    "name": "OTHER",
    "message": "unknown error"
  }
}
Последнее обновление